<?php
namespace App\Http\Controllers\Owner\ExternalReviewProvider;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Helpers\ResponseBuilder;
use App\Modules\ExternalReviewProvider\Application\ExternalReviewProviderFinder;
use App\Modules\ExternalReviewProvider\Infraestructure\MysqlExternalReviewProviderRepository;

class ExternalReviewProviderListController extends Controller
{
    public function __construct()
    {
    }

    public function __invoke($IdExternalReview, $Action, Request $Request)
    {
        $oResponse = (new ExternalReviewProviderFinder(new MysqlExternalReviewProviderRepository))
                        ->__invoke($IdExternalReview, $Action);
        return ResponseBuilder::Response($oResponse);
    }
}
